GoSmarter Logo
GoSmarter API Gateway

Company Settings


List inventory materials

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/materials

Lists inventory materials for a company. Returns company-specific materials if configured, otherwise returns reference materials. Supports filtering by active status and custom-only mode.

List inventory materials › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

List inventory materials › query Parameters

active
​boolean

Filter by active status (only applies to company-specific materials)

customonly
​boolean

If true, only return company-specific materials. If false (default), return reference materials when no company materials exist.

List inventory materials › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

List inventory materials › Responses

List of inventory materials retrieved successfully

​object[]

Create company inventory materials

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/materials

Creates one or more company inventory materials. All companyId values will be set to match the route parameter.

Create company inventory materials › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Create company inventory materials › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Create company inventory materials › Request Body

companyInventoryMaterialId
​integer · int32
companyId
​string · uuid
inventoryMaterialId
​integer · int32
category
​string
value
​string
active
​boolean

Create company inventory materials › Responses

Materials created successfully

companyInventoryMaterialId
​integer · int32
companyId
​string · uuid
inventoryMaterialId
​integer · int32
category
​string
value
​string
active
​boolean

Update company inventory materials

PATCH
https://api.gosmarter.ai
/api/company/{companyId}/configuration/materials

Updates one or more company inventory materials. All companyId values will be validated to match the route parameter.

Update company inventory materials › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Update company inventory materials › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Update company inventory materials › Request Body

companyInventoryMaterialId
​integer · int32
companyId
​string · uuid
inventoryMaterialId
​integer · int32
category
​string
value
​string
active
​boolean

Update company inventory materials › Responses

Materials updated successfully

companyInventoryMaterialId
​integer · int32
companyId
​string · uuid
inventoryMaterialId
​integer · int32
category
​string
value
​string
active
​boolean

List order statuses

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/order-statuses

Lists order statuses for a company. Returns company-specific statuses if configured, otherwise returns reference statuses. Supports filtering the returned statuses by active status, category, and custom-only mode.

List order statuses › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

List order statuses › query Parameters

active
​boolean

Filter the returned statuses by active status

customonly
​boolean

If true, only return company-specific statuses. If false (default), return reference statuses when no company statuses exist.

category
​string

Filter by category (e.g., 'Order' or 'Line Item')

List order statuses › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

List order statuses › Responses

List of order statuses retrieved successfully

companyOrderStatusId
​integer · int32
companyId
​string · uuid
orderStatusId
​integer · int32
category
​string
value
​string
active
​boolean
lastModifiedBy
​string · uuid
updatedAt
​string · date-time

Create company order statuses

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/order-statuses

Creates one or more company order statuses. All companyId values will be set to match the route parameter.

Create company order statuses › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Create company order statuses › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Create company order statuses › Request Body

companyOrderStatusId
​integer · int32
companyId
​string · uuid
orderStatusId
​integer · int32
category
​string
value
​string
active
​boolean
lastModifiedBy
​string · uuid
updatedAt
​string · date-time

Create company order statuses › Responses

Statuses created successfully

companyOrderStatusId
​integer · int32
companyId
​string · uuid
orderStatusId
​integer · int32
category
​string
value
​string
active
​boolean
lastModifiedBy
​string · uuid
updatedAt
​string · date-time

Update company order statuses

PATCH
https://api.gosmarter.ai
/api/company/{companyId}/configuration/order-statuses

Updates one or more company order statuses. All companyId values will be validated to match the route parameter.

Update company order statuses › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Update company order statuses › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Update company order statuses › Request Body

companyOrderStatusId
​integer · int32
companyId
​string · uuid
orderStatusId
​integer · int32
category
​string
value
​string
active
​boolean
lastModifiedBy
​string · uuid
updatedAt
​string · date-time

Update company order statuses › Responses

Statuses updated successfully

companyOrderStatusId
​integer · int32
companyId
​string · uuid
orderStatusId
​integer · int32
category
​string
value
​string
active
​boolean
lastModifiedBy
​string · uuid
updatedAt
​string · date-time

List stock locations

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/stocklocations

Lists stock locations for a company. Returns company-specific locations if configured, otherwise returns reference locations. Supports filtering by active status and custom-only mode.

List stock locations › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

List stock locations › query Parameters

active
​boolean

Filter by active status (only applies to company-specific locations)

customonly
​boolean

If true, only return company-specific locations. If false (default), return reference locations when no company locations exist.

List stock locations › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

List stock locations › Responses

List of stock locations retrieved successfully

​object[]

Create company stock locations

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/stocklocations

Creates one or more company stock locations. All companyId values will be set to match the route parameter.

Create company stock locations › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Create company stock locations › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Create company stock locations › Request Body

companyStockLocationId
​integer · int32
companyId
​string · uuid
stockLocationId
​integer · int32
category
​string
value
​string
active
​boolean

Create company stock locations › Responses

Stock locations created successfully

companyStockLocationId
​integer · int32
companyId
​string · uuid
stockLocationId
​integer · int32
category
​string
value
​string
active
​boolean

Update company stock locations

PATCH
https://api.gosmarter.ai
/api/company/{companyId}/configuration/stocklocations

Updates one or more company stock locations. All companyId values will be validated to match the route parameter.

Update company stock locations › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Update company stock locations › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Update company stock locations › Request Body

companyStockLocationId
​integer · int32
companyId
​string · uuid
stockLocationId
​integer · int32
category
​string
value
​string
active
​boolean

Update company stock locations › Responses

Stock locations updated successfully

companyStockLocationId
​integer · int32
companyId
​string · uuid
stockLocationId
​integer · int32
category
​string
value
​string
active
​boolean

List inventory types

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/types

Lists inventory types for a company. Returns company-specific types if configured, otherwise returns reference types. Supports filtering by active status and custom-only mode.

List inventory types › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

List inventory types › query Parameters

active
​boolean

Filter by active status (only applies to company-specific types)

customonly
​boolean

If true, only return company-specific types. If false (default), return reference types when no company types exist.

List inventory types › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

List inventory types › Responses

List of inventory types retrieved successfully

​object[]

Create company inventory types

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/types

Creates one or more company inventory types. All companyId values will be set to match the route parameter.

Create company inventory types › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Create company inventory types › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Create company inventory types › Request Body

companyInventoryTypeId
​integer · int32
companyId
​string · uuid
inventoryTypeId
​integer · int32
category
​string
value
​string
active
​boolean

Create company inventory types › Responses

Types created successfully

companyInventoryTypeId
​integer · int32
companyId
​string · uuid
inventoryTypeId
​integer · int32
category
​string
value
​string
active
​boolean

Update company inventory types

PATCH
https://api.gosmarter.ai
/api/company/{companyId}/configuration/types

Updates one or more company inventory types. All companyId values will be validated to match the route parameter.

Update company inventory types › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Update company inventory types › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Update company inventory types › Request Body

companyInventoryTypeId
​integer · int32
companyId
​string · uuid
inventoryTypeId
​integer · int32
category
​string
value
​string
active
​boolean

Update company inventory types › Responses

Types updated successfully

companyInventoryTypeId
​integer · int32
companyId
​string · uuid
inventoryTypeId
​integer · int32
category
​string
value
​string
active
​boolean

Soft-delete an inventory material

DELETE
https://api.gosmarter.ai
/api/company/{companyId}/configuration/materials/{materialId}

Soft-deletes a company inventory material. The record can be restored via the restore endpoint.

Soft-delete an inventory material › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

materialId
​integer · int32 · required

The company-specific inventory material ID (CompanyInventoryMaterialId)

Soft-delete an inventory material › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Soft-delete an inventory material › Responses

Inventory material soft-deleted successfully

No data returned

Soft-delete an order status

DELETE
https://api.gosmarter.ai
/api/company/{companyId}/configuration/order-statuses/{statusId}

Soft-deletes a company order status. The record can be restored via the restore endpoint.

Soft-delete an order status › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

statusId
​integer · int32 · required

The company-specific order status ID (CompanyOrderStatusId)

Soft-delete an order status › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Soft-delete an order status › Responses

Order status soft-deleted successfully

No data returned

Soft-delete a stock location

DELETE
https://api.gosmarter.ai
/api/company/{companyId}/configuration/stocklocations/{locationId}

Soft-deletes a company stock location. The record can be restored via the restore endpoint.

Soft-delete a stock location › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

locationId
​integer · int32 · required

The company-specific stock location ID (CompanyStockLocationId)

Soft-delete a stock location › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Soft-delete a stock location › Responses

Stock location soft-deleted successfully

No data returned

Soft-delete an inventory type

DELETE
https://api.gosmarter.ai
/api/company/{companyId}/configuration/types/{typeId}

Soft-deletes a company inventory type. The record can be restored via the restore endpoint.

Soft-delete an inventory type › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

typeId
​integer · int32 · required

The company-specific inventory type ID (CompanyInventoryTypeId)

Soft-delete an inventory type › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Soft-delete an inventory type › Responses

Inventory type soft-deleted successfully

No data returned

Download materials as CSV

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/materials/download

Downloads company inventory materials as a CSV file

Download materials as CSV › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Download materials as CSV › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Download materials as CSV › Responses

CSV file with materials data

string · binary

Download order statuses as CSV

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/order-statuses/download

Downloads company order statuses as a CSV file

Download order statuses as CSV › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Download order statuses as CSV › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Download order statuses as CSV › Responses

CSV file with order statuses data

string · binary

Download stock locations as CSV

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/stocklocations/download

Downloads company stock locations as a CSV file

Download stock locations as CSV › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Download stock locations as CSV › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Download stock locations as CSV › Responses

CSV file with stock locations data

string · binary

Download types as CSV

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/types/download

Downloads company inventory types as a CSV file

Download types as CSV › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Download types as CSV › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Download types as CSV › Responses

CSV file with types data

string · binary

Get inventory material change history

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/materials/{materialId}/history

Returns the full temporal audit history for a company inventory material, most recent changes first.

Get inventory material change history › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

materialId
​integer · int32 · required

The company-specific inventory material ID (CompanyInventoryMaterialId)

Get inventory material change history › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Get inventory material change history › Responses

Audit history returned successfully

changedAt
​string · date-time
changedById
​string · uuid
changedByName
​string
changeType
​string
​auditFieldChange[]
entityType
​string
entityLabel
​string

Get order status change history

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/order-statuses/{statusId}/history

Returns the full temporal audit history for a company order status, most recent changes first.

Get order status change history › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

statusId
​integer · int32 · required

The company-specific order status ID (CompanyOrderStatusId)

Get order status change history › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Get order status change history › Responses

Audit history returned successfully

changedAt
​string · date-time
changedById
​string · uuid
changedByName
​string
changeType
​string
​auditFieldChange[]
entityType
​string
entityLabel
​string

Get stock location change history

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/stocklocations/{locationId}/history

Returns the full temporal audit history for a company stock location, most recent changes first.

Get stock location change history › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

locationId
​integer · int32 · required

The company-specific stock location ID (CompanyStockLocationId)

Get stock location change history › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Get stock location change history › Responses

Audit history returned successfully

changedAt
​string · date-time
changedById
​string · uuid
changedByName
​string
changeType
​string
​auditFieldChange[]
entityType
​string
entityLabel
​string

Get inventory type change history

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/types/{typeId}/history

Returns the full temporal audit history for a company inventory type, most recent changes first.

Get inventory type change history › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

typeId
​integer · int32 · required

The company-specific inventory type ID (CompanyInventoryTypeId)

Get inventory type change history › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Get inventory type change history › Responses

Audit history returned successfully

changedAt
​string · date-time
changedById
​string · uuid
changedByName
​string
changeType
​string
​auditFieldChange[]
entityType
​string
entityLabel
​string

Populate company inventory materials

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/materials/populate

Populates company-specific inventory materials from the reference table. Can only be called once per company.

Populate company inventory materials › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Populate company inventory materials › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Populate company inventory materials › Responses

Materials populated successfully

companyInventoryMaterialId
​integer · int32
companyId
​string · uuid
inventoryMaterialId
​integer · int32
category
​string
value
​string
active
​boolean

Populate company order statuses

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/order-statuses/populate

Populates company-specific order statuses from the reference table. Can only be called once per company.

Populate company order statuses › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Populate company order statuses › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Populate company order statuses › Responses

Statuses populated successfully

companyOrderStatusId
​integer · int32
companyId
​string · uuid
orderStatusId
​integer · int32
category
​string
value
​string
active
​boolean
lastModifiedBy
​string · uuid
updatedAt
​string · date-time

Populate company stock locations

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/stocklocations/populate

Populates company-specific stock locations from the reference table. Can only be called once per company.

Populate company stock locations › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Populate company stock locations › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Populate company stock locations › Responses

Locations populated successfully

companyStockLocationId
​integer · int32
companyId
​string · uuid
stockLocationId
​integer · int32
category
​string
value
​string
active
​boolean

Populate company inventory types

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/types/populate

Populates company-specific inventory types from the reference table. Can only be called once per company.

Populate company inventory types › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Populate company inventory types › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Populate company inventory types › Responses

Types populated successfully

companyInventoryTypeId
​integer · int32
companyId
​string · uuid
inventoryTypeId
​integer · int32
category
​string
value
​string
active
​boolean

Restore a soft-deleted inventory material

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/materials/{materialId}/restore

Restores a previously soft-deleted company inventory material.

Restore a soft-deleted inventory material › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

materialId
​integer · int32 · required

The company-specific inventory material ID (CompanyInventoryMaterialId)

Restore a soft-deleted inventory material › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Restore a soft-deleted inventory material › Responses

Inventory material restored successfully

companyInventoryMaterialId
​integer · int32
companyId
​string · uuid
inventoryMaterialId
​integer · int32
category
​string
value
​string
active
​boolean

Restore a soft-deleted order status

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/order-statuses/{statusId}/restore

Restores a previously soft-deleted company order status.

Restore a soft-deleted order status › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

statusId
​integer · int32 · required

The company-specific order status ID (CompanyOrderStatusId)

Restore a soft-deleted order status › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Restore a soft-deleted order status › Responses

Order status restored successfully

companyOrderStatusId
​integer · int32
companyId
​string · uuid
orderStatusId
​integer · int32
category
​string
value
​string
active
​boolean
lastModifiedBy
​string · uuid
updatedAt
​string · date-time

Restore a soft-deleted stock location

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/stocklocations/{locationId}/restore

Restores a previously soft-deleted company stock location.

Restore a soft-deleted stock location › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

locationId
​integer · int32 · required

The company-specific stock location ID (CompanyStockLocationId)

Restore a soft-deleted stock location › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Restore a soft-deleted stock location › Responses

Stock location restored successfully

companyStockLocationId
​integer · int32
companyId
​string · uuid
stockLocationId
​integer · int32
category
​string
value
​string
active
​boolean

Restore a soft-deleted inventory type

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/types/{typeId}/restore

Restores a previously soft-deleted company inventory type.

Restore a soft-deleted inventory type › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

typeId
​integer · int32 · required

The company-specific inventory type ID (CompanyInventoryTypeId)

Restore a soft-deleted inventory type › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Restore a soft-deleted inventory type › Responses

Inventory type restored successfully

companyInventoryTypeId
​integer · int32
companyId
​string · uuid
inventoryTypeId
​integer · int32
category
​string
value
​string
active
​boolean

Upload materials from CSV

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/materials/upload

Uploads and processes a CSV file to create or update company inventory materials in bulk

Upload materials from CSV › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Upload materials from CSV › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Upload materials from CSV › Request Body

Upload materials from CSV › Responses

CSV uploaded and processed successfully


Upload order statuses from CSV

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/order-statuses/upload

Uploads and processes a CSV file to create or update company order statuses in bulk

Upload order statuses from CSV › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Upload order statuses from CSV › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Upload order statuses from CSV › Request Body

Upload order statuses from CSV › Responses

CSV uploaded and processed successfully


Upload stock locations from CSV

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/stocklocations/upload

Uploads and processes a CSV file to create or update company stock locations in bulk

Upload stock locations from CSV › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Upload stock locations from CSV › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Upload stock locations from CSV › Request Body

Upload stock locations from CSV › Responses

CSV uploaded and processed successfully


Get materials CSV upload template

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/materials/upload-template

Downloads a CSV template file for bulk material uploads

Get materials CSV upload template › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Get materials CSV upload template › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Get materials CSV upload template › Responses

CSV template file

string · binary

Get order statuses CSV upload template

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/order-statuses/upload-template

Downloads a CSV template file for bulk order status uploads

Get order statuses CSV upload template › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Get order statuses CSV upload template › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Get order statuses CSV upload template › Responses

CSV template file

string · binary

Get stock locations CSV upload template

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/stocklocations/upload-template

Downloads a CSV template file for bulk stock location uploads

Get stock locations CSV upload template › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Get stock locations CSV upload template › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Get stock locations CSV upload template › Responses

CSV template file

string · binary

Get types CSV upload template

GET
https://api.gosmarter.ai
/api/company/{companyId}/configuration/types/upload-template

Downloads a CSV template file for bulk type uploads

Get types CSV upload template › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Get types CSV upload template › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Get types CSV upload template › Responses

CSV template file

string · binary

Upload types from CSV

POST
https://api.gosmarter.ai
/api/company/{companyId}/configuration/types/upload

Uploads and processes a CSV file to create or update company inventory types in bulk

Upload types from CSV › path Parameters

companyId
​string · uuid · required

The unique identifier of the company

Upload types from CSV › Headers

GoSmarter-Api-Key
​string · required

The GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.

Upload types from CSV › Request Body

Upload types from CSV › Responses

CSV uploaded and processed successfully